import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _GKPlayer } from "./GKPlayer.js";
import type { GKVoiceChatPlayerState } from "./GKVoiceChatPlayerState.js";
export declare class _GKVoiceChat extends _NSObject {
    static alloc(): _GKVoiceChat;
    static new(): _GKVoiceChat;
    init(): _GKVoiceChat;
    /**
     * @deprecated Use the ``GKVoiceChat/playerVoiceChatStateDidChangeHandler`` property instead.
     */
    static isVoIPAllowed(): boolean;
    /**
     * / start receiving audio from the chat
     * @deprecated No longer supported
     */
    start(): void;
    /**
     * / stop receiving audio from the chat
     * @deprecated No longer supported
     */
    stop(): void;
    /** @deprecated No longer supported */
    setPlayer$muted$(player: _GKPlayer, isMuted: boolean): void;
    /**
     * This method is obsolete. It will never be invoked and its implementation does nothing**
     * @deprecated Use the ``GKVoiceChat/setPlayer(_:muted:)`` method instead.
     */
    setMute$forPlayer$(isMuted: boolean, playerID: _NSString): void;
    /** @deprecated No longer supported */
    playerVoiceChatStateDidChangeHandler(): (arg0: _GKPlayer, arg1: GKVoiceChatPlayerState) => void;
    setPlayerVoiceChatStateDidChangeHandler$(value: (arg0: _GKPlayer, arg1: GKVoiceChatPlayerState) => void): void;
    /**
     * name the chat was created with
     * @deprecated No longer supported
     */
    name(): _NSString;
    /**
     * make this session active and route the microphone
     * @deprecated No longer supported
     */
    active(): boolean;
    setActive$(value: boolean): void;
    /**
     * default 1.0 (max is 1.0, min is 0.0)
     * @deprecated No longer supported
     */
    volume(): number;
    setVolume$(value: number): void;
    /** @deprecated No longer supported */
    players(): _NSArray;
    /**
     * @deprecated Use the ``GKVoiceChat/playerVoiceChatStateDidChangeHandler`` property instead.
     */
    playerStateUpdateHandler(): (arg0: _NSString, arg1: GKVoiceChatPlayerState) => void;
    setPlayerStateUpdateHandler$(value: (arg0: _NSString, arg1: GKVoiceChatPlayerState) => void): void;
    /**
     * This property is obsolete. **
     * @deprecated Use the ``GKVoiceChat/players`` property instead.
     */
    playerIDs(): _NSArray | null;
}
